Subject: bug#57301: 28.1; 12 unexpected test results on emacs 28.1

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 23 Aug 2022 12:37:22 +0200

[email-masked] writes:

> checking build system type... x86_64-pc-linux-musl

[...]

> seccomp_rule_add_array (SCMP_ACT_ALLOW, SCMP_SYS (exit), 1, {}): Invalid argument
> make[1]: *** [Makefile:466: seccomp-filter.bpf] Error 1
> make[1]: *** Waiting for unfinished jobs....
> seccomp_rule_add_array (SCMP_ACT_ALLOW, SCMP_SYS (exit), 1, {}): Invalid argument
> make[1]: *** [Makefile:466: seccomp-filter-exec.bpf] Error 1
> make[1]: Leaving directory '/home/archmux/Internet/Git/Editor/emacs/lib-src'
> make: *** [Makefile:463: lib-src] Error 2
> `man seccomp_rule_add_array' states:
>
> """"""""""""""""""""
>        int seccomp_rule_add_array(scmp_filter_ctx ctx,
>                                   uint32_t action, int syscall,
>                                   unsigned int arg_cnt,
>                                   const struct scmp_arg_cmp *arg_array);
> """"""""""""""""""""

I guess it's an issue with building under musl.  As I've said before, we
don't have anybody building Emacs under musl (as far as I know), so if
these problems are to be fixed, somebody using that will have to propose
patches.